JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.devboxes.downloadFile('id', { path: 'path' });
console.log(response);
const content = await response.blob();
console.log(content);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
response = client.devboxes.download_file(
id="id",
path="path",
)
print(response)
content = response.read()
print(content)curl --request POST \
--url https://api.runloop.ai/v1/devboxes/{id}/download_file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>"
}
'
"<string>"Devbox
Download binary file contents from Devbox filesystem.
Download file contents of any type (binary, text, etc) from a specified path on the Devbox.
POST
/
v1
/
devboxes
/
{id}
/
download_file
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const response = await client.devboxes.downloadFile('id', { path: 'path' });
console.log(response);
const content = await response.blob();
console.log(content);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
response = client.devboxes.download_file(
id="id",
path="path",
)
print(response)
content = response.read()
print(content)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Devbox ID.
Body
application/json
The path on the Devbox filesystem to read the file from. Path is relative to user home directory.
Response
OK
The response is of type file.
Was this page helpful?
⌘I
